Summary: Simple virtual domains monitor which embed themselves in the GNOME panel
Name: gnome-applet-vm
Version: 0.0.7
Release: 2
License: GPL
Group: User Interface/Desktops
Source: gnome-applet-vm-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://people.redhat.com/kzak/gnome-applet-vm
ExclusiveArch: i386 x86_64

%define glib2_version 2.2.0
%define pango_version 1.2.0
%define gtk2_version 2.6.0
%define libgnomeui_version 2.3.0
%define gnome_panel_version 2.5.91
%define libbonoboui_version 2.3.0

BuildRequires:  libvirt-devel
BuildRequires:  glib2-devel >= %{glib2_version}
BuildRequires:  gtk2-devel >= %{gtk2_version}
BuildRequires:  libgnomeui-devel >= %{libgnomeui_version}
BuildRequires:  gnome-panel-devel >= %{gnome_panel_version}
BuildRequires:  pango-devel >= %{pango_version}
BuildRequires:  /usr/bin/automake
BuildRequires:  libbonoboui-devel >= %{libbonoboui_version}

Prereq:         gtk2 >= %{gtk2_version}
Requires:	xen
Requires:	libvirt
Requires:	gnome-panel >= %{gnome_panel_version}
Requires:	usermode

%description
The gnome-applet-vm package provides Panel applet which monitor
locally running virtual domains.

%prep
%setup -q

%build
%configure --enable-consolehelper
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# Clean up unpackaged files
rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper
# userhelper
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
ln -s consolehelper $RPM_BUILD_ROOT/%{_bindir}/vm_applet_wrapper

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
scrollkeeper-update

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/vm-applet.schemas > /dev/null

%postun 
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/pixmaps
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/gnome/help/*
%{_datadir}/omf/*
%{_libdir}/bonobo/servers/*
%{_libexecdir}/*
%{_sbindir}/*
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/*
%config %{_sysconfdir}/pam.d/vm_applet_wrapper
%config %{_sysconfdir}/security/console.apps/vm_applet_wrapper

%changelog
* Sat Apr 01 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Thu Mar 23 2006 Karel Zak <kzak@redhat.com> 0.0.7-2
- add dependence on usermode

* Mon Mar 20 2006 Karel Zak <kzak@redhat.com> 0.0.7-1
- new upstream version

* Fri Feb 10 2006 Karel Zak <kzak@redhat.com> 0.0.6-1
- new upstream version

* Thu Feb  9 2006 Daniel Veillard <veillard@redhat.com> - 0.0.5-1.2
- rebuilt to update depends on libvirt following library rename

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.0.5-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Jan 27 2006 Karel Zak <kzak@redhat.com> 0.0.5-1
- public release

* Thu Jan  5 2006 Karel Zak <kzak@redhat.com> 0.0.3-1
- new upstream version

* Tue Dec 13 2005 Karel Zak <kzak@redhat.com> 0.0.1-1
- created
